%global debug_package   %{nil}
%global provider_tld    com
%global provider        github
%global project         fsouza
%global repo            go-dockerclient
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          15d2c6e3eb670c545d0af0604d7f9aff3871af04
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:       golang-%{provider}-%{project}-%{repo}
Version:    0.2.1
Release:    2.git%{shortcommit}%{?dist}
Summary:    Client for the Docker remote API
License:    BSD
URL:        https://%{import_path}
Source0:    https://%{import_path}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
BuildArch:  noarch

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
Requires:       golang >= 1.2.1-3
Summary:        Client for the Docker remote API
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/engine) = %{version}-%{release}
Provides:       golang(%{import_path}/testing) = %{version}-%{release}
Provides:       golang(%{import_path}/utils) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use %{project}/%{repo}.

%prep
%setup -qn %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}
cp -pav *.go %{buildroot}/%{gopath}/src/%{import_path}

%files devel
%doc AUTHORS DOCKER-LICENSE LICENSE README.markdown
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%dir %{gopath}/src/%{import_path}
%{gopath}/src/%{import_path}/*.go

%changelog
* Thu Oct 16 2014 lsm5@riseup.net - 0.2.1-2.git15d2c6e
- update to latest upstream commit

* Mon Sep 29 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0.2.1-1.git0236a64
- update to upstream commit 0236a64c6c4bd563ec277ba00e370cc753e1677c
- don't own dirs owned by golang, don't redefine gopath
- preserve timestamps of copied files

* Tue Jul 22 2014 Colin Walters <walters@redhat.com>
- Update to newer version for Kubernetes work

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.gitd639515
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 03 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.1.git
- Initial package
